package org.springblade.device.feign;

import org.springblade.core.tool.api.R;
import org.springblade.device.entity.GbDeviceChannel;
import org.springblade.device.vo.GbDeviceChannelVO;
import org.springframework.stereotype.Component;

import javax.validation.Valid;
import java.util.List;

@Component
public class GbDeviceChannelClientFallback implements IGbDeviceChannelClient {
            /**
         * 详情
         */
        @Override
        public GbDeviceChannelVO detail(GbDeviceChannel gbDeviceChannel) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<GbDeviceChannelVO> list(GbDeviceChannel gbDeviceChannel) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( GbDeviceChannel gbDeviceChannel) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( GbDeviceChannel gbDeviceChannel) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( GbDeviceChannel gbDeviceChannel) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public R submitBatch(@Valid List<GbDeviceChannel> gbDeviceChannelList) {
		return null;
	}

}
